For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inGet Paid
DocumentationAPI Reference
DocumentationAPI Reference
  • Introduction
    • Overview
  • API Reference
      • GETList agents
      • POSTCreate Agent
      • GETGet agent by ID
      • PUTUpdate Agent
      • DELDelete agent
      • GETGet agent by external ID
      • PUTUpdate agent by external ID
      • DELDelete agent by external ID
LogoLogo
Log inGet Paid
API Referenceagents

Create Agent

Deprecated
POST
https://api.agentpaid.io/api/v1/agents
POST
/api/v1/agents
1import { PaidClient } from "@paid-ai/paid-node";
2
3async function main() {
4 const client = new PaidClient({
5 token: "YOUR_TOKEN_HERE",
6 });
7 await client.agents.create({
8 name: "Acme Agent",
9 description: "Acme Agent is an AI agent that does things.",
10 externalId: "acme-agent",
11 });
12}
13main();
201agents_create_example
1{
2 "id": "63fd642c-569d-44f9-8d67-5cf4944a16cc",
3 "organizationId": "string",
4 "name": "Acme Agent",
5 "active": true,
6 "externalId": "acme-agent",
7 "description": "Acme Agent is an AI agent that does things."
8}

DEPRECATED: Use POST /products instead.

Was this page helpful?
Previous

Get agent by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
descriptionstringRequired
agentCodestringOptional
externalIdstringOptional
activebooleanOptional

Response

Success response
idstring
organizationIdstring
namestring
activeboolean
externalIdstring
descriptionstring
agentCodestring
agentAttributeslist of objects